import cursos.*;
import fundamentos.Menu;
import fundamentos.Mensaje;

/**
 * Title:        ListaAlumnos<p>
 * Description:  Gestiona una unica lista de alumnos, por medio de un men�
 *               con cuatro opciones:
 *                     - insertar un alumno
 *                     - mirar datos de un alumno
 *                     - mostrar lista de alumnos
 *                     - salir<p>
 * Company:      Universidad de Cantabria
 * @author       Michael Gonzalez
 */

public class ListaAlumnos {

  public static void main(String[] args) {


    final int 
      INSERTAR=1,
      MIRAR   =2,
      LISTAR  =3,
      SALIR   =4;

    Curso primero=new Curso(100);
    Menu menu = new Menu("Opciones");
    int opcion;

    menu.insertaOpcion("Insertar",INSERTAR);
    menu.insertaOpcion("Mirar",MIRAR);
    menu.insertaOpcion("Listar",LISTAR);
    menu.insertaOpcion("Salir",SALIR);
    while (true) {
      try {
         opcion=menu.leeOpcion("Introduce opcion deseada");
         switch (opcion) {
         case INSERTAR:
            primero.anade();
            break;
         case MIRAR:
            primero.muestra();
            break;
         case LISTAR:
            primero.muestraTodos();
            break;
         case SALIR :
            Mensaje mensaje = new Mensaje();
            mensaje.escribe("Fin del programa. Pulsa Cerrar");
            return;
         default :
            Mensaje mens = new Mensaje();
            mens.escribe("opcion incorrecta");
         }  
       } catch (NoCabe e) {
         Mensaje mensaje = new Mensaje();
         mensaje.escribe("Demasiados alumnos");
       } catch (NoHay e) {
         Mensaje mensaje = new Mensaje();
         mensaje.escribe("No hay alumnos");
       } catch (NoEncontrado e) {
         Mensaje mensaje = new Mensaje();
         mensaje.escribe("Alumno no encontrado");
       } // try
    } // while
  } // main
}
