package cursos;
import fundamentos.*;

/**
 * Title:        Alumno<p>
 * Description:  Clase para almanecar datos personales de un alumno<p>
 * Company:      Universidad de Cantabria<p>
 * @author       Michael Gonzalez
 */

public class Alumno {

  private String nombre;
  private String direccion;
  private int telefono;
  private String dni;

  /**
   * Constructor estandar, que pone los datos del alumno vacios
   */
  public Alumno() {
    nombre="";
    direccion="";
    telefono=0;
    dni="";
  }
  
  /**
   * Retorna el dni
   */
  public String dni() {
      return dni;
  }

  /**
   * Lee de teclado los datos de un alumno
   */
  public void leeDatos() {
    Lectura lectura = new Lectura ("Lectura Datos Alumno");
    lectura.creaEntrada("nombre",nombre);
    lectura.creaEntrada("direccion",direccion);
    lectura.creaEntrada("telefono",telefono);
    lectura.creaEntrada("dni",dni);    
    while (true) {
       try {
          lectura.esperaYCierra("Introduce datos y pulsa aceptar");
          nombre=lectura.leeString("nombre");
          direccion=lectura.leeString("direccion");
          telefono=lectura.leeInt("telefono");
          dni=lectura.leeString("dni");
          return; 
       } catch (NumberFormatException e) {
           // no hace falta hacer nada, pues ya se indica el error
       }
    }
  }

  /**
   * Escribe en una ventana los datos del alumno
   */
  public void escribeDatos() {

    Escritura escritura = new Escritura ("Datos de Alumno");

    escritura.insertaValor("nombre",nombre);
    escritura.insertaValor("direccion",direccion);
    escritura.insertaValor("telefono",telefono);
    escritura.insertaValor("dni",dni);
    escritura.espera();
  }
  
  /**
   * Convierte a texto
   */
  public String aTexto() {
     return "Alumno: "+nombre+". DNI: "+dni+".Dir:"+direccion+
            ". Tel:"+telefono;
  }


}
