package cursos;
import fundamentos.*;

/**
 * Title:        Curso<p>
 * Description:  Clase que almacena un curso formado por alumnos de la
 *               clase Alumno<p>
 * Company:      Universidad de Cantabria<p>
 * @author       Michael Gonzalez
 */

public class Curso {
  
  private Alumno[] losAlumnos;
  private int num;

  /**
   * Constructor que pone el numero de alumnos a cero
   * y crea el array
   */
  public Curso(int maxAlumnos) {
    num=0;
    losAlumnos = new Alumno[maxAlumnos];
  }

  /**
   * Anade un alumno al curso
   * Lanza NoCabe si no cabe en el array
   */
  public void anade() throws NoCabe {
    if (num==losAlumnos.length) {
      throw new NoCabe();
    } else {
      num++;
      Alumno nuevo=new Alumno();
      nuevo.leeDatos();
      losAlumnos[num-1]=nuevo;
    }
  }

  /**
   * Busca un alumno, cuyo dni se pide por teclado
   *    lanza NoEncontrado si no existe
   *    retorna el numero del alumno si no hay error
   */
  private int busca(String dniBuscado) throws NoEncontrado{
      for (int i=0; i<num; i++) {
         if (losAlumnos[i].dni().equals(dniBuscado)) {
            return i;
         }
      }
      // no encontrado
      throw new NoEncontrado();
  }

  /**
   * Muestra los datos de un alumno, cuyo dni se pide por teclado
   */
  public void muestra() throws NoHay, NoEncontrado {
      if (num==0) {
        throw new NoHay();
      } else {
        Lectura leeDni = new Lectura("Lectura DNI");
        String dniBuscado;
        leeDni.creaEntrada("DNI","");
        leeDni.esperaYCierra("Introduce DNI del alumno buscado");
        dniBuscado=leeDni.leeString("DNI");
        int i=busca(dniBuscado);
        losAlumnos[i].escribeDatos();
      }
  }
  
  /**
   * Muestra todos los alumnos
   */
  public void muestraTodos() {
    for (int i=0; i<num;i++) {    
        System.out.println(losAlumnos[i].aTexto());   
    }
  }

}
